Salta ai contenuti

Il registro dei sub-responsabili dell'operatore (DPA art. 8 / Allegato 3)

GET
/v1/legal/sub-processors
curl --request GET \
--url https://api.vimine.network/v1/legal/sub-processors

Il registro attuale (sub-responsabili attivi e previsti, e fornitori che non trattano dati delle associazioni) con la versione in vigore dell’Allegato 3 a cui è legato.

Registro

Tipo di contenutoapplication/json
object
version

La versione in vigore dell’Allegato 3 a cui il registro è legato

string
nullable
effective_from
string formato: date-time
nullable
notice_days
integer
at
string formato: date-time
active
obbligatorio
Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
nullable
service
obbligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obbligatorio
string
Valori ammessi: processor controller none
status
obbligatorio
string
Valori ammessi: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
planned
obbligatorio
Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
nullable
service
obbligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obbligatorio
string
Valori ammessi: processor controller none
status
obbligatorio
string
Valori ammessi: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
other
obbligatorio

Fornitori che non trattano dati delle associazioni (trasparenza)

Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
nullable
service
obbligatorio
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obbligatorio
string
Valori ammessi: processor controller none
status
obbligatorio
string
Valori ammessi: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
Esempio
{
"active": [
{
"role": "processor",
"status": "active"
}
],
"planned": [
{
"role": "processor",
"status": "active"
}
],
"other": [
{
"role": "processor",
"status": "active"
}
]
}

Richiesta non valida

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Non trovato

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Troppe richieste

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Errore interno

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}